/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.cache.transaction;

import org.jboss.logging.Logger;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.transaction.*;
import java.util.Properties;

/**
 * Basically a DummyTransactionManager to do batch mode processing.
 * @author bela
 * @version $Revision: 1.1.10.2 $
 *          Date: May 15, 2003
 *          Time: 4:11:37 PM
 */
public class BatchModeTransactionManager extends DummyBaseTransactionManager {
   static BatchModeTransactionManager instance=null;
   static Logger log=Logger.getLogger(BatchModeTransactionManager.class);

   public BatchModeTransactionManager() {
      ;
   }

   public static BatchModeTransactionManager getInstance() {
      if(instance == null) {
         instance=new BatchModeTransactionManager();
      }
      return instance;
   }

   public static void destroy() {
      if(instance == null) return;
      instance.setTransaction(null);
      instance=null;
   }

}
