/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.ha.httpsession.beanimpl.ejb;

import java.io.Serializable;

/**
 * CMP 1.1 concrete implementation for the HTTPSession bean.
 *
 * @see org.jboss.ha.httpsession.beanimpl.interfaces.ClusteredHTTPSession
 * @see org.jboss.ha.httpsession.beanimpl.ejb.ClusteredHTTPSessionBeanImpl
 *
 * @author  <a href="mailto:sacha.labourey@cogito-info.ch">Sacha Labourey</a>.
 * @version $Revision: 1.1.4.2 $
 *   
 * <p><b>Revisions:</b>
 *
 * <p><b>31. decembre 2001 Sacha Labourey:</b>
 * <ul>
 * <li> First implementation </li> 
 * </ul>
 */

public class ClusteredHTTPSessionBeanCmp11 extends ClusteredHTTPSessionBeanImpl
{

   // Constants -----------------------------------------------------
   
   // Attributes ----------------------------------------------------
   
   public String id;
   public Serializable serializedSession;
   public long lastAccessTime;
   public long creationTime;
   
   // Static --------------------------------------------------------
   
   // Constructors --------------------------------------------------
       
   public ClusteredHTTPSessionBeanCmp11 ()
    {       
    }

   // Public --------------------------------------------------------
   
   // Z implementation ----------------------------------------------
   
   // ClusteredHTTPSessionBeanCmp11 overrides ---------------------------------------------------
   
   public String getSessionId ()
   { return this.id; }
   
   public void setSessionId (String sessionId)
   { this.id = sessionId; }
   
   public Serializable getSerializedSession ()
   { return this.serializedSession; }
   
   public void setSerializedSession (Serializable session)
   { this.serializedSession = session; }
   
   public long getLastAccessedTime () 
   { return this.lastAccessTime; }
   
   public void setLastAccessedTime (long value)
   { this.lastAccessTime = value; }
   
   public long getCreationTime () 
   { return this.creationTime; }
   
   public void setCreationTime (long value)
   { this.creationTime = value; }
   
   // Package protected ---------------------------------------------
   
   // Protected -----------------------------------------------------
   
   // Private -------------------------------------------------------
   
   // Inner classes -------------------------------------------------

}
