/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.ha.httpsession.beanimpl.interfaces;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;

import org.jboss.ha.httpsession.interfaces.SerializableHttpSession;

/**
 * Local Home interface for clustered HTTP session. 
 *
 * @see org.jboss.ha.httpsession.beanimpl.interfaces.ClusteredHTTPSession
 *
 * @author  <a href="mailto:sacha.labourey@cogito-info.ch">Sacha Labourey</a>.
 * @version $Revision: 1.1.4.2 $
 *   
 * <p><b>Revisions:</b>
 *
 * <p><b>20020105 Sacha Labourey:</b>
 * <ul>
 * <li> First implementation </li> 
 * </ul>
 */

public interface LocalClusteredHTTPSessionHome extends javax.ejb.EJBLocalHome
{
    public static String JNDI_NAME = "clustering/LocalHTTPSession";

    // Constructors
    //
    public LocalClusteredHTTPSession create (String sessionId) throws RemoteException, CreateException;
    public LocalClusteredHTTPSession create (String sessionId, SerializableHttpSession session) throws RemoteException, CreateException;

    // Finders
    //
    public LocalClusteredHTTPSession findByPrimaryKey (String sessionId) throws RemoteException, FinderException;

    // Returns a collection of known HttpSession instances
    //
    public Collection findAll() throws RemoteException, FinderException;

}
