/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.util.state;

/**
 * A helper state for instances which need to be
 * {@link StateMachine.Acceptable} and/or {@link StateMachine.ChangeListener}s.
 *
 * @version <tt>$Revision: 1.3.2.1 $</tt>
 * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
 */
public class StateAdapter
   extends State
   implements StateMachine.Acceptable, StateMachine.ChangeListener
{
   public StateAdapter(final int value, final String name)
   {
      super(value, name);
   }

   public StateAdapter(final int value)
   {
      super(value);
   }

   /**
    * Always returns false.
    *
    * @return  False;
    */
   public boolean isAcceptable(final State state) { return false; }

   public void stateChanged(final StateMachine.ChangeEvent event) {}
}
