/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.resource.connectionmanager;

/**
 * MBean interface.
 */
public interface CachedConnectionManagerMBean extends org.jboss.system.ServiceMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.jca:service=CachedConnectionManager");

   /**
    * Get the SpecCompliant value.
    * @return the SpecCompliant value.
    */
  boolean isSpecCompliant() ;

   /**
    * Set the SpecCompliant value.
    * @param specCompliant The new SpecCompliant value.
    */
  void setSpecCompliant(boolean specCompliant) ;

   /**
    * Get the debug value.
    * @return the debug value.
    */
  boolean isDebug() ;

   /**
    * Set the Debug value.
    * @param value The new debug value.
    */
  void setDebug(boolean value) ;

   /**
    * Get the TransactionManagerServiceName value.
    * @return the TransactionManagerServiceName value.
    */
  javax.management.ObjectName getTransactionManagerServiceName() ;

   /**
    * Set the TransactionManagerServiceName value.
    * @param transactionManagerServiceName The new TransactionManagerServiceName value.
    */
  void setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName) ;

   /**
    * The Instance attribute simply holds the current instance, which is normally the only instance of CachedConnectionManager.
    * @return a <code>CachedConnectionManager</code> value
    */
  org.jboss.resource.connectionmanager.CachedConnectionManager getInstance() ;

   /**
    * Get the inuse connections
    * @return the number of inuse connections
    */
  int getInUseConnections() ;

   /**
    * List the inuse connections
    * @return a map of connections to allocation stack traces
    */
  java.util.Map listInUseConnections() ;

}
