/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package javax.xml.rpc;

/** Constants used in JAX-RPC for namespace prefixes and URIs
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.2.6.2 $
 */
public class NamespaceConstants
{
   public static final String NSPREFIX_SCHEMA_XSD = "xsd"; 
    public static final String NSPREFIX_SCHEMA_XSI = "xsi"; 
    public static final String NSPREFIX_SOAP_ENCODING = "soapenc";
    public static final String NSPREFIX_SOAP_ENVELOPE = "soapenv";
    public static final String NSURI_SCHEMA_XSD =
       "http://www.w3.org/2001/XMLSchema"; 
    public static final String NSURI_SCHEMA_XSI =
       "http://www.w3.org/2001/XMLSchema-instance"; 
    public static final String NSURI_SOAP_ENCODING =
       "http://schemas.xmlsoap.org/soap/encoding/";
    public static final String NSURI_SOAP_ENVELOPE =
       "http://schemas.xmlsoap.org/soap/envelope/";
    public static final String NSURI_SOAP_NEXT_ACTOR =
       "http://schemas.xmlsoap.org/soap/actor/next";
}
