/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.net.hello.server;

import javax.ejb.EJBException;

import org.jboss.test.util.ejb.SessionSupport;

import org.jboss.test.net.hello.HelloData;

/**
 * The typical Hello Session Bean this time
 * as a web-service.
 * @author jung
 * @version $Revision: 1.1.6.2 $
 * @ejb.bean name="Hello"
 *           display-name="Hello World Bean"
 *           type="Stateless"
 *           view-type="remote"
 *           jndi-name="hello/Hello"
 * @ejb.interface remote-class="org.jboss.test.net.hello.Hello" extends="javax.ejb.EJBObject"
 * @ejb.home remote-class="org.jboss.test.net.hello.HelloHome" extends="javax.ejb.EJBHome"
 * @ejb.transaction type="Required"
 * @jboss-net.web-service urn="Hello"
 */

public class HelloBean
   extends SessionSupport implements javax.ejb.SessionBean
{
   /**
    * @jboss-net.web-method
    * @ejb.interface-method view-type="remote"
    */
   
   public String hello(String name)
   {
      return "Hello "+name+"!";
   }

   /*
    * @ejb.interface-method view-type="remote"
   public Hello helloHello(Hello hello)
   {
      return hello;
   }*/

   /**
    * @jboss-net.web-method
    * @ejb.interface-method view-type="remote"
    */

   public String howdy(HelloData name)
   {
      return "Howdy "+name.getName()+"!";
   }

   public void throwException()
   {
      throw new EJBException("Something went wrong");
   }
}
