/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.net;

/**
 * A resource bundle that allows us to fake i18n support.
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @created 28. September 2001, 13:04
 * @version $Revision: 1.1.4.5 $
 */

public class DefaultResourceBundle extends java.util.ResourceBundle
{

   /** empty enumeration because we translate everything! */
   static class EmptyEnumeration implements java.util.Enumeration
   {
      public boolean hasMoreElements()
      {
         return false;
      }

      public Object nextElement() throws java.util.NoSuchElementException
      {
         throw new java.util.NoSuchElementException();
      }
   }

   /** its a flyweight! */
   static java.util.Enumeration EMPTY_ENUMERATION = new EmptyEnumeration();

   /** Creates new DefaultResourceBundle */
   public DefaultResourceBundle()
   {
   }

   /** do not support this correctly */
   public java.util.Enumeration getKeys()
   {
      return EMPTY_ENUMERATION;
   }

   /** smart, isnt it? */
   protected java.lang.Object handleGetObject(java.lang.String str) throws java.util.MissingResourceException
   {
      return str;
   }

}
