/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.net.axis.security;

import javax.security.auth.x500.X500Principal;

import org.apache.ws.security.components.crypto.Crypto;

/**
 * <dl>
 * <dt><b>Title: </b><dd>JBoss Crypto</dd>
 * <p>
 * <dt><b>Description: </b><dd>This is an extension of the wss4j Crypto interface that adds the 
 * getAliasForX500Principal method. This method is used to get a key alias for use durring authentication.</dd>
 * <p>
 * </dl>
 * @author <a href="mailto:jasone@greenrivercomputing.com">Jason Essington</a>
 * @version $Revision: 1.1.6.2 $
 */
public interface JBossCrypto extends Crypto
{
   public String getAliasForX500Principal(X500Principal dn) throws Exception;
}
