/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.net.axis.server;

/**
 * MBean interface.
 * @since 27. September 2001
 */
public interface AxisServiceMBean extends org.jboss.deployment.SubDeployerMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.net:service=Axis");

   /**
    * start method for usage with immediately known documents
    */
  void start(java.lang.String deploymentName,org.w3c.dom.Document doc,java.lang.ClassLoader serviceLoader) throws org.jboss.deployment.DeploymentException;

   /**
    * stop a given deployment by document
    */
  void stop(org.w3c.dom.Document doc) throws org.jboss.deployment.DeploymentException;

   /**
    * return the associated client configuration
    */
  org.jboss.axis.EngineConfiguration getClientEngineConfiguration() ;

   /**
    * return the associated server configuration
    */
  org.jboss.axis.EngineConfiguration getServerEngineConfiguration() ;

   /**
    * return the associated server
    */
  org.jboss.axis.server.AxisServer getAxisServer() ;

}
