/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.net.axis.server;

import org.jboss.net.axis.ParameterizableDeserializerFactory;

import javax.xml.namespace.QName;
import java.util.Hashtable;

/**
 * Factory for server-side Entity Bean Deserialization. 
 * @created 21.03.2002
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.2.4.3 $
 */

public class EntityBeanDeserializerFactory extends ParameterizableDeserializerFactory
{

   //
   // Constructors
   //
	
   /** the usual constructor used by axis */
   public EntityBeanDeserializerFactory(Class javaType, QName xmlType)
   {
      this(javaType, xmlType, new Hashtable(0));
   }

   /** the extended constructor that is parameterized */
   public EntityBeanDeserializerFactory(Class javaType, QName xmlType, Hashtable options)
   {
      super(EntityBeanDeserializer.class, javaType, xmlType, options);
   }

}