/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.net.axis.server;

import org.jboss.axis.AxisFault;
import org.jboss.axis.MessageContext;
import org.jboss.axis.handlers.http.HTTPActionHandler;

/**
 * <p>
 * This HttpActionHandler will influence the wsdl-generation of
 * action aware service providers, such as {@link org.jboss.net.axis.server.EJBProvider}.
 * </p>
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @since 27.03.2003
 * @version $Revision: 1.1.2.4 $
 */

public class WsdlAwareHttpActionHandler extends HTTPActionHandler
{

   /**
    * sets the presence flag in the context such that any provider
    * that uses this flag will be able to generate soap-action 
    * information.
    * @see org.jboss.axis.Handler#generateWSDL(org.jboss.axis.MessageContext)
    */
   public void generateWSDL(MessageContext arg0) throws AxisFault
   {
      arg0.setProperty(Constants.ACTION_HANDLER_PRESENT_PROPERTY, Boolean.TRUE);
      super.invoke(arg0);
   }

}
