/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.net.jmx;


import org.jboss.axis.client.Call;
import org.jboss.axis.client.Service;
import org.jboss.net.axis.AxisInvocationHandler;

import java.net.URL;
import java.util.Map;

/**
 * <p>
 * Helper class for dealing with remote JMX beans in typed or untyped ways.
 * </p>
 * @deprecated You should use the jaxrpc/wsdl approach instead.
 * @since  1. Oktober 2001, 18:22
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.7.4.5 $
 */

public class MBeanInvocationHandler extends AxisInvocationHandler
{

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint, String soapAction)
   {
      super(endpoint, soapAction);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint, String soapAction, Map methodMap)
   {
      super(endpoint, soapAction, methodMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap)
   {
      super(endpoint, soapAction, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler pointing to a given url, using the given engine */

   public MBeanInvocationHandler(URL endpoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap,
                                 boolean maintainSession)
   {
      super(endpoint, soapAction, methodMap, interfaceMap, maintainSession);
   }

   /** Creates new MBeanInvocationHandler */

   public MBeanInvocationHandler(Call call, Map methodMap, Map interfaceMap)
   {
      super(call, methodMap, interfaceMap);
   }

   /** Creates new MBeanInvocationHandler */
   public MBeanInvocationHandler(URL endpoint, String soapAction,
                                 Service service,
                                 Map methodMap,
                                 Map interfaceMap)
   {
      super(endpoint, soapAction, service, methodMap, interfaceMap);
   }

   /** default creation of services */
   public static Object createMBeanService(Class _interface, URL endpoint, String soapAction)
   {
      return createAxisService(_interface,
              new MBeanInvocationHandler(endpoint, soapAction));
   }

   /** default creation of services */

   public static Object createMBeanService(Class _interface,
                                           MBeanInvocationHandler handler)
   {
      return createAxisService(_interface, handler);
   }

}