/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package javax.management;

/**
 * A Number that is an arguement to a query.<p>
 * 
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.3.6.2 $
 */
/*package*/ class NumberValueExp
   extends SingleValueExpSupport
{

   // Constructors ------------------------------------------------

   /**
    * Construct a number value expression for the passed number
    *
    * @param value the value of number
    */
   public NumberValueExp(Number value)
   {
      super(value);
   }

   // Public ------------------------------------------------------

   /**
    * Test whether the type is integer
    */
   public boolean isInteger()
   {
       Object value = getValue();
       return value instanceof Integer || value instanceof Long;
   }

   /**
    * Get the value of this number (integers)
    */
   public double getLongValue()
   {
       return ((Number)getValue()).longValue();
   }

   /**
    * Get the value of this number (floating)
    */
   public double getDoubleValue()
   {
       return ((Number)getValue()).doubleValue();
   }

}
