/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package javax.management;


/**
 * An implementation of single value expression.
 * 
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.1.8.2 $
 */
/*package*/ class SingleValueExpSupport
   extends ValueExpSupport
{
   // Constants ---------------------------------------------------

   // Attributes --------------------------------------------------

   /**
    * The value of this object
    */
   private Object value;

   // Static ------------------------------------------------------

   // Constructor -------------------------------------------------

   /**
    * Construct a value expression for the passed value
    *
    * @param value the value
    */
   public SingleValueExpSupport(Object value)
   {
      this.value = value;
   }

   // Public ------------------------------------------------------

   /**
    * Get the value of the expression
    */
   public Object getValue()
   {
      return value;
   }

   // X implementation --------------------------------------------

   // Object overrides --------------------------------------------

   public String toString()
   {
      return value.toString();
   }

   // Protected ---------------------------------------------------

   // Private -----------------------------------------------------

   // Inner classes -----------------------------------------------
}
