/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.mx.interceptor;

import javax.management.MBeanException;
import javax.management.MBeanInfo;

import org.jboss.mx.metadata.MBeanInfoConversion;
import org.jboss.mx.server.Invocation;
import org.jboss.mx.server.InvocationException;

/**
 *
 * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
 * @version $Revision: 1.5.2.3 $
 */   
public class StandardMBeanInfoInterceptor extends AbstractInterceptor
{
   // cached info
   MBeanInfo standardInfo = null;
   
   public StandardMBeanInfoInterceptor()
   {
      // FIXME: xxx
      super("Standard MBeanInfo Interceptor for XXX");
   }
   
   public Object invoke(Invocation invocation) throws InvocationException
   {

      MBeanInfo info = null;
      
      try
      {
         info = (MBeanInfo)super.invoke(invocation);
      }
      catch (Throwable ignored)
      {
         log.trace("Ignoring error retrieving mbeaninfo", ignored);
      }

      if (standardInfo == null)
      {
         try
         {
            standardInfo = MBeanInfoConversion.stripAttributeOperations(
                  MBeanInfoConversion.toModelMBeanInfo(info), false);
         }
         catch (MBeanException e)
         {
            throw new InvocationException(e);
         }
      }
      return standardInfo; 
   }
}

