/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.remoting;

/**
 * MBean interface.
 */
public interface ServerInterceptorChainMBean {

   /**
    * Get the ConnectorName value.
    * @return the ConnectorName value.
    */
  javax.management.ObjectName getConnectorName() ;

   /**
    * Set the ConnectorName value.
    * @param newConnectorName The new ConnectorName value.
    */
  void setConnectorName(javax.management.ObjectName newConnectorName) ;

   /**
    * Get the Subsystem value.
    * @return the Subsystem value.
    */
  java.lang.String getSubsystem() ;

   /**
    * Set the Subsystem value.
    * @param newSubsystem The new Subsystem value.
    */
  void setSubsystem(java.lang.String newSubsystem) ;

   /**
    * Get the InterceptorName value.
    * @return the InterceptorName value.
    */
  java.util.List getInterceptorNames() ;

   /**
    * Set the InterceptorName value.
    * @param newInterceptorName The new InterceptorName value.
    */
  void setInterceptorNames(java.util.List newInterceptorNames) ;

   /**
    * The <code>start</code> method
    * @exception Exception if an error occurs
    */
  void start() throws java.lang.Exception;

   /**
    * The <code>stop</code> method
    * @exception Exception if an error occurs
    */
  void stop() throws java.lang.Exception;

}
