/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.ejb.plugins.jaws.jdbc;

import java.rmi.RemoteException;


import org.jboss.ejb.EntityEnterpriseContext;
import org.jboss.ejb.plugins.jaws.JAWSPersistenceManager;
import org.jboss.ejb.plugins.jaws.JPMActivateEntityCommand;

/**
 * JAWSPersistenceManager JDBCActivateEntityCommand
 *    
 * @see <related>
 * @author <a href="mailto:rickard.oberg@telkel.com">Rickard Öberg</a>
 * @author <a href="mailto:justin@j-m-f.demon.co.uk">Justin Forder</a>
 * @version $Revision: 1.4.4.2 $
 */
 
public class JDBCActivateEntityCommand implements JPMActivateEntityCommand
{
   // Constructors --------------------------------------------------
   
   public JDBCActivateEntityCommand(JDBCCommandFactory factory)
   {
   }
   
   // JPMActivateEntityCommand implementation -----------------------
   
   public void execute(EntityEnterpriseContext ctx)
      throws RemoteException
   {
      // Set new persistence context
      // JF: Passivation/Activation is losing persistence context!!!
      ctx.setPersistenceContext(new JAWSPersistenceManager.PersistenceContext());
   }
}
