/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.jmx.adaptor.ejb;

/**
 * An instance of this class is thrown when a Value Object
 * contains an invalid value.
 *
 * @author Andreas Schaefer
 * @version $Revision: 1.4.4.1 $
 **/
public class ServiceUnavailableException
   extends Exception
{
   
   // -------------------------------------------------------------------------
   // Static
   // -------------------------------------------------------------------------
	 
   // -------------------------------------------------------------------------
   // Members 
   // -------------------------------------------------------------------------  

   // -------------------------------------------------------------------------
   // Constructor
   // -------------------------------------------------------------------------
	 
   /**
    * Constructor with a message of the exception
    *
    * @param pMessage Message to further explain the exception
    **/
   public ServiceUnavailableException( String pMessage )
   {
      super( pMessage );
   }


   // -------------------------------------------------------------------------
   // Methods
   // -------------------------------------------------------------------------  

   /**
    * Describes the instance and its content for debugging purpose
    *
    * @return Using the one from the super class
    **/
   public String toString()
   {
      return super.toString();
   }

   /**
    * Determines if the given instance is the same as this instance
    * based on its content. This means that it has to be of the same
    * class ( or subclass ) and it has to have the same content
    *
    * @return Returns the equals value from the super class
    **/
   public boolean equals( Object pTest )
   {
      return super.equals( pTest );
   }

   /**
    * Returns the hashcode of this instance
    *
    * @return Hashcode of the super class
    **/
   public int hashCode()
   {
      return super.hashCode();
   }

}

// ----------------------------------------------------------------------------
// EOF
