/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.jmx.connector;

import javax.management.MBeanServer;

import org.jboss.jmx.adaptor.rmi.RMIAdaptor;

/**
 * Client-Side JMX Connector Interface.
 *
 * @version <tt>$Revision: 1.2.2.1 $</tt>
 * @author <A href="mailto:andreas.schaefer@madplanet.com">Andreas &quot;Mad&quot; Schaefer</A>
 * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
 **/
public interface RemoteMBeanServer
   extends MBeanServer
{
   /**
    * If this type is used and you specify a valid QueueConnectorFactory
    * then this connector will use JMS to transfer the events asynchronous
    * back from the server to the client.
    */
   int NOTIFICATION_TYPE_JMS = 0;
   
   /**
    * If this type is used the Connector will use RMI Callback Objects to
    * transfer the events back from the server synchronously.
    */
   int NOTIFICATION_TYPE_RMI = 1;

   /**
    * If this type is used the Connector will use Notification Polling to
    * transfer the events back from the server synchronously.
    */
   int NOTIFICATION_TYPE_POLLING = 2;
}
