/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.monitor;

public class LockMonitor
{
   long total_time = 0;
   long num_contentions = 0;
   public long timeouts = 0;
   long maxContenders = 0;
   long currentContenders = 0;
   private EntityLockMonitor monitor;

   public LockMonitor(EntityLockMonitor monitor)
   {
      this.monitor = monitor;
   }

   public void contending()
   {
   	  synchronized(this)
   	  {
   	     num_contentions++;
         currentContenders++;
         
         if (currentContenders > maxContenders)
            maxContenders = currentContenders;
	  }
      
      // Remark Ulf Schroeter: DO NOT include following call into the
      // synchronization block because it will cause deadlocks between
      // LockMonitor methods and EntityLockMonitor.clearMonitor() call ! 
      monitor.incrementContenders();
   }

   public void finishedContending(long time)
   {
      synchronized(this)
      {	
         total_time += time;
         currentContenders--;
	  }

	// Remark Ulf Schroeter: DO NOT include following call into the
	// synchronization block because it will cause deadlocks between
	// LockMonitor methods and EntityLockMonitor.clearMonitor() call ! 
      monitor.decrementContenders(time);
   }
}

