/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.deployment;

/**
 * MBean interface.
 */
public interface XSLSubDeployerMBean extends org.jboss.deployment.SubDeployerMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.system:service=XSLDeployer");

   /**
    * Describe <code>setXslUrl</code> method here.
    * @param xslUrl a <code>String</code> value
    */
  void setXslUrl(java.lang.String xslUrl) ;

   /**
    * Describe <code>getXslUrl</code> method here.
    * @return a <code>String</code> value
    */
  java.lang.String getXslUrl() ;

   /**
    * Describe <code>setPackageSuffix</code> method here.
    * @param packageSuffix a <code>String</code> value
    */
  void setPackageSuffix(java.lang.String packageSuffix) ;

   /**
    * Describe <code>getPackageSuffix</code> method here.
    * @return a <code>String</code> value
    */
  java.lang.String getPackageSuffix() ;

   /**
    * Describe <code>setDdSuffix</code> method here.
    * @param ddSuffix a <code>String</code> value
    */
  void setDdSuffix(java.lang.String ddSuffix) ;

   /**
    * Describe <code>getDdSuffix</code> method here.
    * @return a <code>String</code> value
    */
  java.lang.String getDdSuffix() ;

   /**
    * Describe <code>setDelegateName</code> method here.
    * @param delegateName an <code>ObjectName</code> value
    */
  void setDelegateName(javax.management.ObjectName delegateName) ;

   /**
    * Describe <code>getDelegateName</code> method here.
    */
  javax.management.ObjectName getDelegateName() ;

  boolean accepts(org.jboss.deployment.DeploymentInfo di) ;

  void init(org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

  void create(org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

  void start(org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

  void stop(org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

  void destroy(org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

}
