/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.deployment.scanner;

/**
 * MBean interface.
 */
public interface URLDeploymentScannerMBean extends org.jboss.deployment.scanner.DeploymentScannerMBean {

  void setRecursiveSearch(boolean recurse) ;

  boolean getRecursiveSearch() ;

  void setURLList(java.util.List list) ;

  void setURLComparator(java.lang.String classname) throws java.lang.ClassNotFoundException, java.lang.IllegalAccessException, java.lang.InstantiationException;

  java.lang.String getURLComparator() ;

  void setFilter(java.lang.String classname) throws java.lang.ClassNotFoundException, java.lang.IllegalAccessException, java.lang.InstantiationException;

  java.lang.String getFilter() ;

  java.util.List getURLList() ;

  void addURL(java.net.URL url) ;

  void removeURL(java.net.URL url) ;

  boolean hasURL(java.net.URL url) ;

  void setURLs(java.lang.String listspec) throws java.net.MalformedURLException;

  void addURL(java.lang.String urlspec) throws java.net.MalformedURLException;

  void removeURL(java.lang.String urlspec) throws java.net.MalformedURLException;

  boolean hasURL(java.lang.String urlspec) throws java.net.MalformedURLException;

  void scan() throws java.lang.Exception;

}
