/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.cache.perf.basic;


import org.jboss.cache.PropertyConfigurator;
import org.jboss.cache.TreeCache;

import java.io.InputStreamReader;

/**
 * A standalone dummy server that accepts data from other replicated cache.
 */
public class Server
{
   TreeCache cache_;

   void initCach() throws Exception
   {
      cache_ = new TreeCache();
      PropertyConfigurator config = new PropertyConfigurator();
      config.configure(cache_, "META-INF/replSync-service.xml"); // read in generic replAsync xml
      cache_.setTransactionManagerLookupClass("org.jboss.cache.DummyTransactionManagerLookup");
      cache_.startService();
   }

   void destroyCache() throws Exception
   {
      cache_.stopService();
      cache_ = null;
   }

   TreeCache getCache()
   {
      return cache_;
   }

   public static void main(String[] args) throws Exception
   {
      Server server = new Server();
      server.initCach();
      boolean isYes = true;
      InputStreamReader reader = new InputStreamReader(System.in);
      while (isYes) {
         System.out.println("To abort hit cntrl-c");
//            System.out.println(server.getCache().printLockInfo());
         try {
            Thread.sleep(10000);
         } catch (Exception ex) {
         }
         ;
      }
      server.destroyCache();
   }
}
