/*
  * JBoss, Home of Professional Open Source
  * Copyright 2005, JBoss Inc., and individual contributors as indicated
  * by the @authors tag. See the copyright.txt in the distribution for a
  * full listing of individual contributors.
  *
  * This is free software; you can redistribute it and/or modify it
  * under the terms of the GNU Lesser General Public License as
  * published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This software is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this software; if not, write to the Free
  * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
  */
package org.jboss.test.cmp2.cmrtree.test;

import junit.framework.Test;
import org.jboss.test.cmp2.cmrtree.ejb.Facade;
import org.jboss.test.cmp2.cmrtree.ejb.FacadeUtil;
import org.jboss.test.JBossTestCase;
import net.sourceforge.junitejb.EJBTestCase;


/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.2.2.2 $</tt>
 */
public class CascadeDeleteUnitTestCase
   extends EJBTestCase
{
   public static Test suite() throws Exception
   {
      return JBossTestCase.getDeploySetup(CascadeDeleteUnitTestCase.class, "cmp2-cmrtree.jar");
   }

   public CascadeDeleteUnitTestCase(String s)
   {
      super(s);
   }

   public void testCascadeDelete() throws Exception
   {
      final Facade facade = FacadeUtil.getHome().create();
      facade.setup();
      facade.test(0);
   }

   public void testUpdateCMPFieldToNullOnRelatedInstance() throws Exception
   {
      final Facade facade = FacadeUtil.getHome().create();
      facade.setup2();
      assertEquals("some name", facade.getBName());
      facade.setBNameToNull();
      assertNull(facade.getBName());
   }
}