/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.jbossnet.jmx;

import junit.framework.Test;

/**
 * Tests remote accessibility of JMX services
 * @since 11. Oktober 2001
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @author <a href="mailto:pbraswell@utopiansoft.com">Peter Braswell</a>
 * @version $Revision: 1.1.4.2 $
 */
public class RedeployJmxUnitTestCase extends JmxUnitTestCase
{
   // Constructors --------------------------------------------------
   public RedeployJmxUnitTestCase(String name)
   {
      super(name);
   }

   /**
    * Method suite, deploys additional jmx bean+web service
    * @return
    * @throws Exception
    */

   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployJmxUnitTestCase.class, "jbossnet-jmx.sar");
   }
}
