/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.jbossnet.jmx.server;

/**
 * A test mbean that will be provided as a web-service
 * @jmx.mbean name="jboss.net:service=JMXTestMBean"
 * @jboss-net.web-service urn="JMXTest"
 * @author braswell
 * @author jung
 * @version $Revision: 1.1.1.1.4.2 $
 * @since long ago
 */

public class JMXTest implements JMXTestMBean
{

   /**
    * Method getTestString
    * @jmx.managed-attribute
    * @jboss-net.web-method
    * @return
    */

   public String getTestString()
   {
      return testString;
   }

   /**
    * Method setTestString
    * @jmx.managed-attribute
    * @jboss-net.web-method
    * @param str
    */

   public void setTestString(String str)
   {
      testString = str;
   }

   /**
    * Method noopOperation
    * @jmx.managed-operation
    * @jboss-net.web-method
    */

   public void noopOperation()
   {
      /* doing nothing */
   }

   /* Member variables */
   private String testString = "JMX_TEST_STRING";

}
