/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.jbossnet.security.server;

import org.jboss.test.util.ejb.SessionSupport;

/**
 * Non-secured session bean to test web service authorization. 
 * @author jung
 * @version $Revision: 1.1.1.1.4.5 $
 * @ejb.bean name="Authorization"
 *           display-name="Authorization Bean"
 *           type="Stateless"
 *           view-type="remote"
 *           jndi-name="security/Authorization"
 * @ejb.interface remote-class="org.jboss.test.jbossnet.security.Authorization" extends="javax.ejb.EJBObject"
 * @ejb.home remote-class="org.jboss.test.jbossnet.security.AuthorizationHome" extends="javax.ejb.EJBHome"
 * @ejb.transaction type="Required"
 * @ejb.permission unchecked="true"
 * @jboss-net.web-service urn="Authorization"
 * @jboss-net.authentication domain="jbossnet-tests"
 * @jboss-net.authorization domain="jbossnet-tests" roles-allowed="Role2, Role1" roles-denied="Role3"
 */

public class AuthorizationBean
   extends SessionSupport implements javax.ejb.SessionBean
{
   /**
    * @jboss-net.web-method
    * @ejb.interface-method view-type="remote"
    */
   
   public boolean workedOut()
   {
      // return true if role1 is logged in
      return sessionCtx.getCallerPrincipal().getName().equals("jduke");
   }

}
