/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.jbossnet.servicename;

import junit.framework.Test;
import org.jboss.test.JBossTestCase;

/**
 * [ 1065038 ] Axis service name cannot contain forward slash
 *
 * @author Thomas.Diesler@jboss.org
 * @version $Revision: 1.1.4.2 $
 */
public class ServiceNameTestCase extends JBossTestCase
{
   public ServiceNameTestCase(String name)
   {
      super(name);
   }

   public void testHelloString() throws Exception
   {
      HelloBeanServiceLocator locator = new HelloBeanServiceLocator();
      HelloBean port = locator.getHello();
      Greeting ret = port.sayHello();
      assertEquals("Hello !!!", ret.getGreeting());
   }

   /** Deploy the test ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(ServiceNameTestCase.class, "jbossnet-servicename.ear");
   }
}
