/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.tomcat.tc4;

import java.util.Stack;

import org.apache.catalina.Engine;
import org.apache.catalina.startup.Embedded;
import org.apache.commons.digester.Digester;
import org.apache.commons.digester.Rule;

/** This action adds the current Engine on the top of the stack to the
 Embedded object on the stack.

 TOMCAT 4.1.12 UPDATE: Extends org.apache.jakarta.commons.Rule

@author Scott.Stark@jboss.org
@version $Revision: 1.1.1.1.2.1 $
 */
public class AddEngineAction extends Rule
{   
   public AddEngineAction()
   {
   }

   /** The stack must look like Embedded/Service/Engine
    */
   public void end() throws Exception
   {
      Engine engine = (Engine) digester.pop();
      Object service = digester.pop();
      Embedded catalina = (Embedded) digester.peek();
      digester.push(service);
      digester.push(engine);
      catalina.addEngine(engine);
   }
}
