/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.tomcat.tc4;

import java.util.Stack;

import org.apache.commons.digester.Digester;
import org.apache.commons.digester.Rule;
import org.xml.sax.Attributes;
import org.jboss.web.tomcat.tc4.EmbeddedCatalina;
import org.jboss.web.tomcat.tc4.EmbeddedService;

/** This action creates an EmbeddedService and adds it to the EmbeddedCatalina

 TOMCAT 4.1.12 UPDATE: Extends org.apache.jakarta.commons.Rule

@author Scott.Stark@jboss.org
@version $Revision: 1.1.1.1.2.1 $
 */
public class ServiceCreateAction extends Rule
{
   /** The top of the stack must be an EmbeddedCatalina object
    */

    public void begin(Attributes attributes) throws Exception {
        EmbeddedCatalina catalina = (EmbeddedCatalina) digester.peek();
        EmbeddedService service = new EmbeddedService();
        service.setEmbeddedServer(catalina);
        digester.push(service);
    }

    public void end() throws Exception {
        digester.pop();
    }
}
