/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.tomcat.tc5.session;

import org.jboss.web.tomcat.statistics.ReplicationStatistics;

/**
 * The MBean-interface for the ClusterManager
 *
 * @author Thomas Peuss <jboss@peuss.de>
 * @version $Revision: 1.1.2.7 $
 * @see org.jboss.ha.httpsession.server.ClusteredHTTPSessionService
 */
public interface JBossManagerMBean
{
   public ReplicationStatistics getReplicationStatistics();

   public void resetStats();

   public long timeInSecondsSinceLastReset();

   public long getActiveSessionCount();

   public long getRejectedSessionCount();

   public long getCreatedSessionCount();

   public long getExpiredSessionCount();

   public String reportReplicationStatistics();
}
