/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.monitor.services;

/**
 * MBean interface.
 */
public interface ActiveAlarmTableMBean extends org.jboss.system.ListenerServiceMBean {

   /**
    * Number of notifications received.
    */
  long getNotificationsProcessed() ;

   /**
    * Sets the serverId to use in the produced AlarmTableNotifications
    */
  void setServerId(java.lang.String serverId) ;

   /**
    * Gets the serverId
    */
  java.lang.String getServerId() ;

   /**
    * Acknowledge all
    * @return number of acknowledged alarms    */
  int acknowledgeAll(java.lang.String user,java.lang.String system) ;

   /**
    * Uncknowledge all
    * @return number of unacknowledged alarms    */
  int unacknowledgeAll(java.lang.String user,java.lang.String system) ;

   /**
    * Acknowledge an Alarm
    * @return true if ack was succesful, false otherwise (not in table or acked already)    */
  boolean acknowledge(java.lang.String serverId,java.lang.String source,java.lang.String type,java.lang.String user,java.lang.String system) ;

   /**
    * Unacknowledge an Alarm
    * @return true if unack was succesful, false otherwise (not in table or unacked already)    */
  boolean unacknowledge(java.lang.String serverId,java.lang.String source,java.lang.String type,java.lang.String user,java.lang.String system) ;

   /**
    * Gets the ActiveAlarmTable
    */
  org.jboss.monitor.alarm.AlarmTableNotification[] fetchAlarmTable() ;

   /**
    * Gets the ActiveAlarmTable as Html
    */
  java.lang.String fetchAlarmTableAsHtml() ;

}
