/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.services.binding;

/**
 * MBean interface.
 */
public interface ServiceBindingManagerMBean {

  java.lang.String getServerName() ;

  void setServerName(java.lang.String serverName) ;

  java.lang.String getStoreFactoryClassName() ;

  void setStoreFactoryClassName(java.lang.String storeFactoryClassName) ;

  java.net.URL getStoreURL() ;

   /**
    * Set the string representation of the store URL
    */
  void setStoreURL(java.net.URL storeURL) ;

   /**
    * Looks up the service config for the given service using the server name bound to this mbean.
    * @param serviceName the JMX ObjectName of the service
    * @return ServiceConfig instance if found, null otherwise    */
  org.jboss.services.binding.ServiceConfig getServiceConfig(javax.management.ObjectName serviceName) throws java.lang.Exception;

   /**
    * Looks up the service config for the requested service using the server name bound to this mbean and invokes the configuration delegate to apply the bindings to the service. If no config if found then this method is a noop.
    * @param serviceName the JMX ObjectName of the service
    * @exception Exception, thrown on failure to apply an existing configuration    */
  void applyServiceConfig(javax.management.ObjectName serviceName) throws java.lang.Exception;

}
