/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.web.loadbalancer;

/**
 * MBean interface.
 */
public interface LoadbalancerServiceMBean extends org.jboss.system.ServiceMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.web.loadbalancer: service=Loadbalancer");

   /**
    * Set the scheduler for this Loadbalancer.
    * @param schedulerObjectName    */
  void setScheduler(javax.management.ObjectName schedulerObjectName) ;

   /**
    * Get the scheduler for this Loadbalancer.
    */
  javax.management.ObjectName getScheduler() ;

   /**
    * Get the currently used connection timeout to slave hosts.
    */
  int getConnectionTimeout() ;

   /**
    * Set the currently used connection timeout to slave hosts.
    */
  void setConnectionTimeout(int newTimeout) ;

   /**
    * Get the currently used connections to slave hosts.
    */
  int getConnectionsInUse() ;

  void createMethod(org.jboss.web.loadbalancer.util.Request schedRequest) throws org.jboss.web.loadbalancer.scheduler.NoHostAvailableException;

  void addRequestData(org.jboss.web.loadbalancer.util.Request schedRequest) ;

  void handleRequest(org.jboss.web.loadbalancer.util.Request schedRequest) throws javax.servlet.ServletException, java.io.IOException;

}
