/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.web.loadbalancer.scheduler;

/**
 * MBean interface.
 */
public interface AbstractSchedulerMBean extends org.jboss.system.ServiceMBean, org.jboss.web.loadbalancer.scheduler.SchedulerMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.web.loadbalancer: service=Scheduler");

  void setConfig(org.w3c.dom.Element config) ;

   /**
    * Get the list of all hosts that have been marked down.
    */
  java.util.ArrayList getHostsDown() ;

   /**
    * Get the list of all hosts that have been marked up.
    */
  java.util.ArrayList getHostsUp() ;

   /**
    * Add a host to the up list.
    */
  org.jboss.web.loadbalancer.scheduler.Host addHost(java.lang.String hostString) throws java.net.MalformedURLException;

   /**
    * Remove a host from the up list.
    */
  void removeHost(java.net.URL url) ;

}
