/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.loadbalancer.scheduler;

import javax.management.Notification;

/**
 * A JMX-Notification that informs listeners about the fact that
 * the state of a node changed.
 * @author Thomas Peuss <jboss@peuss.de>
 * @version $Revision: 1.1.2.2 $
 */
public class HostStateChangedNotification extends Notification
{
  private static long sequenceId=0L;

  public HostStateChangedNotification(Host source, String message)
  {
    super(HostStateChangedNotification.class.getName(), source, sequenceId++, message);
  }
}